org.apache.xmlbeans.impl.schema

## Class ElementFactory<T>

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.ElementFactory<T>

- Direct Known Subclasses:
    AbstractDocumentFactory, SimpleTypeFactory

      public class ElementFactory<T>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementFactory(SchemaTypeSystem typeSystem, String typeHandle)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SchemaType` | `getType()`
    `SchemaTypeSystem` | `getTypeLoader()`
    `T` | `newInstance()`
    `T` | `newInstance(XmlOptions options)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementFactory

          public ElementFactory(SchemaTypeSystem typeSystem,
                                String typeHandle)

  - ### Method Detail

    - #### getType

          public SchemaType getType()

    - #### getTypeLoader

          public SchemaTypeSystem getTypeLoader()

    - #### newInstance

          public T newInstance()

    - #### newInstance

          public T newInstance(XmlOptions options)